
Foreman - Feature #1042

More informative summary email title

07/13/2011 06:16 AM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Reporting   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The Foreman summary email is currently titled in a static way - it's always the same title. This means that if I move away from my

desk for a few hours (I use hourly reporting), I'll have a bunch of identical emails which may or may not be useful to me.

I think it would be nice to have the email title generated from the data contained within the email - something like this:

Summary Puppet report from Foreman - F:10 R:2 S:5 A:7 FR:0 T:24

Where F = failed, S = skipped and so on, as per the headers in the email table. T is the total of the preceding numbers.

This would allow an at-a-glance scan of your inbox, as well as custom mail filters to mark certain mails as important without having to

scan the body (good for IMAP).

Associated revisions

Revision cda556ef - 07/14/2011 05:47 AM - Greg Sutcliffe

fixes #1042 add a more detailed status message to the summary email

Signed-off-by: Greg Sutcliffe <gsutcliffe@gmail.com>

History

#1 - 07/14/2011 05:46 AM - Ohad Levy

- Category set to Reporting

- Assignee set to Greg Sutcliffe

- Target version set to 0.4

#2 - 07/14/2011 07:28 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset cda556ef0431984bf27a7532a2c4b3436a0f243e.
